Bug 592296 - KVM should support the newer set of MSRs for kvmclock
KVM should support the newer set of MSRs for kvmclock
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
high Severity medium
: rc
: ---
Assigned To: Glauber Costa
Virtualization Bugs
:
Depends On:
Blocks: 533943 569603 624983
  Show dependency treegraph
 
Reported: 2010-05-14 09:47 EDT by Glauber Costa
Modified: 2013-01-09 17:34 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 624983 (view as bug list)
Environment:
Last Closed: 2010-11-11 10:50:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glauber Costa 2010-05-14 09:47:19 EDT
Description of problem:

KVM has deprecated the current msr set used by kvmclock, and came up with a new set. While the old set is still working, and will, during the lifetime of RHEL6,
in a 7 year period, it is likely that new guests will appear that uses only the newer set. We should, therefore, support both.
Comment 1 RHEL Product and Program Management 2010-05-14 10:30:46 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 Aristeu Rozanski 2010-05-18 17:13:52 EDT
Patch(es) available on kernel-2.6.32-27.el6
Comment 10 Shirley Zhou 2010-08-18 06:10:13 EDT
Test this bug with kernel-2.6.32-63.el6 as following

1.start guest fc15, kernel is 2.6.36-0.0.rc0.git1.fc15.i686.PAE
2.check dmesg info 
dmesg|grep kvm
kvm-clock: Using msrs 12 and 11
kvm-clock: cpu 0, msr 0:c4a081, boot clock
kvm-clock: cpu 0, msr 0:3149081, primary cpu clock
kvm-clock: cpu 1, msr 0:3349081, secondary cpu clock
Switching to clocksource kvm-clock

From dmesg, no newer msr available. 
After talk with Glauber through IRC, Glauber think qemu lack patch to make it work, open qemu Bug 624983 to track this issue. 
Change status to verified as patch added.
Comment 11 releng-rhel@redhat.com 2010-11-11 10:50:57 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.